## net.dontdrinkandroot.persistence.entity
Class GeneratedLongIdEntity

    java.lang.Object
      net.dontdrinkandroot.persistence.entity.AbstractEntity<java.lang.Long>
          net.dontdrinkandroot.persistence.entity.GeneratedLongIdEntity

All Implemented Interfaces:
  java.io.Serializable, Entity<java.lang.Long>

    @MappedSuperclass
    public class GeneratedLongIdEntity

extends AbstractEntity<java.lang.Long>

See Also:
  Serialized Form

Constructor Summary
`GeneratedLongIdEntity()`

Method Summary
`java.lang.Long` `getId()` Get the primary key of the entity.

Methods inherited from class net.dontdrinkandroot.persistence.entity.AbstractEntity
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GeneratedLongIdEntity

    public GeneratedLongIdEntity()

Method Detail

### getId

    public java.lang.Long getId()

  Description copied from interface: `Entity`
  Get the primary key of the entity.

Copyright © 2013 dontdrinkandroot. All Rights Reserved.